function [wvtran]=spl_Wv_analP(x,Par,DeTr)
    %1D spline wavelet transform of a row signal or an array of row signals 'x'
    %Par -- spline order
    %DeTr -depth of decomposition
    
    %wvtran - set of the transform coefficients
[vx N]=size(x);
wvtran=[];
fwvtran=[];

fx=fft(x,[],2);

M=N;
flo=fx;
for kk=1:DeTr
    n=0:M-1;
     A=matr_transP(M,Par,vx,1);
%    

  [flo0,flo1]=havshB(flo/sqrt(2));
  flo=A{1,1}.*flo0+A{1,2}.*flo1;
 fhi=A{2,1}.*flo0+A{2,2}.*flo1;
  
  hi=real(ifft(fhi,[],2));
  wvtran=[hi,wvtran];
  fwvtran=[fhi,fwvtran];
  M=M/2;
end
lo=real(ifft(flo,[],2));
wvtran=[lo,wvtran];
 
  